<div class="full-width full-height flex-column neutral-background-color">
  <div
    class="m-5 font-20-px flex-fixed-size flex-row"
    [attr.data-test-toolbar-id]="'action-word-toolbar'"
  >
    <span>
      <i
        nz-icon
        nz-dropdown
        [nzDropdownMenu]="creationMenu"
        nzType="sqtm-core-tree:add"
        nzTheme="outline"
        [ngClass]="
          creationMenuButtonActivation.canCreateActionWord
            ? 'current-workspace-button action-icon-size'
            : 'label-color action-icon-size'
        "
        [attr.data-test-toolbar-button-id]="'create-button'"
      >
      </i>
    </span>
    <sqtm-core-toggle-icon
      class="m-l-30"
      [attr.data-test-toolbar-button-id]="'copy-button'"
      [active]="tree.canCopy$ | async"
      (clickedInActiveMode)="copy()"
    >
      <i
        nz-icon
        nzType="sqtm-core-generic:copy"
        nzTheme="outline"
        nz-tooltip
        [nzTooltipTitle]="'sqtm-core.generic.label.copy' | translate"
        nzTooltipPlacement="bottom"
        class="action-icon-size"
      ></i>
    </sqtm-core-toggle-icon>
    <sqtm-core-toggle-icon
      class="m-l-10"
      [attr.data-test-toolbar-button-id]="'paste-button'"
      [active]="tree.canPaste$ | async"
      (clickedInActiveMode)="paste()"
    >
      <i
        nz-icon
        nzType="sqtm-core-generic:paste"
        nzTheme="outline"
        nz-tooltip
        class="action-icon-size"
        [nzTooltipTitle]="
          'sqtm-core.generic.label.paste-with-shortcut' | translate
        "
        nzTooltipPlacement="bottom"
      ></i>
    </sqtm-core-toggle-icon>

    <ng-container *ngIf="referentialDataService.canDeleteFromFront$ | async">
      <sqtm-core-toggle-icon
        class="m-l-10"
        [attr.data-test-toolbar-button-id]="'delete-button'"
        [active]="tree.canDelete$ | async"
        (clickedInActiveMode)="delete()"
      >
        <i
          nz-icon
          nzType="sqtm-core-generic:delete"
          nzTheme="outline"
          nz-tooltip
          class="action-icon-size"
          [nzTooltipTitle]="
            'sqtm-core.generic.label.delete-with-shortcut' | translate
          "
          nzTooltipPlacement="bottom"
        ></i>
      </sqtm-core-toggle-icon>
    </ng-container>
  </div>
  <div class="full-height full-width" sqtmCoreTreeKeyboardShortcut>
    <sqtm-core-grid
      class="sqtm-core-prevent-selection-in-grid"
    ></sqtm-core-grid>
  </div>
</div>

<nz-dropdown-menu #creationMenu="nzDropdownMenu">
  <ul nz-menu [attr.data-test-menu-id]="'create-menu'">
    <li
      nz-menu-item
      [attr.data-test-menu-item-id]="'new-action-word'"
      [nzDisabled]="!creationMenuButtonActivation.canCreateActionWord"
      (click)="
        openCreateActionWord(creationMenuButtonActivation.canCreateActionWord)
      "
    >
      {{
        'sqtm-core.action-word-workspace.tree.button.new-action-word'
          | translate
      }}
    </li>
  </ul>
</nz-dropdown-menu>
